// H5 去调用App的方法
import jsBridge from "./bridge";
import { getUserInfo } from "@/api/user";
// 获取Token
export function getAuthToken() {
  return new Promise((resolve, reject) => {
    console.log("调用1");
    jsBridge.callhandler("getAuthToken", null, data => {
      console.log("调用2");
      localStorage.setItem("token", data);

      console.log("--------------");
      if (data) {
        getUserInfo().then(res=>{
          
        })
        alert("获取到的token" + data);
        resolve(data);
      } else {
        reject("调用失败，未返回data");
      }
    });
  });
}

// 退出
export function logoutToApp() {
  jsBridge.callhandler("logout");
}
